文档首页> IoT物联网> 常见问题> 设备集成(联通用户专用)> 运行Agent Lite Java Demo报UnsatisfiedLinkError错误怎么处理?
更新时间:2021-03-18 GMT+08:00
分享

运行Agent Lite Java Demo报UnsatisfiedLinkError错误怎么处理?

如果Agent Lite Java Demo运行时报如下图的错误(以Eclipse界面为例),是因为demo中提供的库文件是64位的,需要安装64位的JDK。

  1. 下载并安装64位的JDK后,可以在命令行中输入“java -version”,如果显示Java版本为64位就表示安装成功。

  2. 如果您使用IDEA作为开发工具,还需要在VM options配置下库的路径:“-Djava.library.path={本地路径}\AgentLiteDemo\libs”,其中本地路径修改为您电脑中Agent Lite Demo文件夹所在的路径。如下图:

分享:

设备集成(联通用户专用)所有常见问题

more

close